<?php

namespace Superrobota\Phoneprovider\Repositories\Eloquent;

use Superrobota\Phoneprovider\Interfaces\PhoneprovidersRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PhoneprovidersRepository extends BaseRepository implements PhoneprovidersRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.phoneprovider.phoneproviders.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.phoneprovider.phoneproviders.model.model');
    }
}
