Lavalite package that provides phoneprovider management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `superrobota/phoneprovider`.

    "superrobota/phoneprovider": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Superrobota\Phoneprovider\Providers\PhoneproviderServiceProvider::class,

And also add it to alias

    'Phoneprovider'  => Superrobota\Phoneprovider\Facades\Phoneprovider::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Superrobota\\PhoneproviderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Superrobota\Phoneprovider\Providers\PhoneproviderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Superrobota\Phoneprovider\Providers\PhoneproviderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Superrobota\Phoneprovider\Providers\PhoneproviderServiceProvider" --tag="view"


## Usage


